#ifndef PQCURSOR_H
#define PQCURSOR_H

#include <pqobject.h>
#include <QCursor>

class PQCursor : public QObject, public QCursor {
    Q_OBJECT
    PQ_OBJECT_EX(QCursor)

public:
    Q_INVOKABLE explicit PQCursor();
    Q_INVOKABLE explicit PQCursor(int shape);
    Q_INVOKABLE QPoint pos();
    Q_INVOKABLE void setPos(int x, int y);
    //Q_INVOKABLE explicit PQCursor(const QBitmap &bitmap, const QBitmap &mask, int hotX=-1, int hotY=-1);
    //Q_INVOKABLE explicit PQCursor(const QPixmap &pixmap, int hotX=-1, int hotY=-1);
    //Q_INVOKABLE explicit PQCursor(const QCursor &cursor);
};


Q_DECLARE_METATYPE(QCursor*)
Q_DECLARE_METATYPE(PQCursor*)

#endif // PQCURSOR_H
